<?php
global $lmsg_arr;

$lmsg_arr = array (
	'activate__confirmed' => 'The current configuration has been successfully activated.',
	'activate__not_confirmed' => 'The current configuration has not been activated. The system has been reverted to the previous configuration. This has occured because there were connection problems between your browser and the server. Most probably, the reason is that you have arranged the configuration so that connections from your computer to the server are prohibited.',

	'activateform__activating_legend' => 'Activation status',
	'activateform__activating_page_title' => 'Activating configuration',
	'activateform__activating_text' => 'Activation is in progress. If your browser shows connection error messages, or if this screen does not disappear in more than %1 seconds, click the button below.',
	'activateform__preview_legend' => 'Activation status',
	'activateform__preview_page_title' => 'Activating configuration',
	'activateform__preview_text' => 'The Firewall module is ready to activate your configuration. To apply the configuration to your system, a shell script has been generated. If you wish to preview this script, click the Preview button below.',
	'backendfreebsd__not_available' => 'The Firewall module requires IPFW to be installed. Please install IPFW.',
	'backendlinux__not_available' => 'The Firewall module requires Iptables to be installed. Please install the Iptables package from your OS vendor.',
	'bt_firewall_activate' => 'Activate',
	'bt_firewall_continue' => 'Continue',
	'bt_firewall_from_add' => 'Add',
	'bt_firewall_from_clear' => 'Remove All',
	'bt_firewall_from_remove' => 'Remove',
	'bt_firewall_ports_add' => 'Add',
	'bt_firewall_ports_clear' => 'Remove All',
	'bt_firewall_ports_remove' => 'Remove',
	'bt_firewall_preview_script' => 'Preview',
	'bt_firewall_to_add' => 'Add',
	'bt_firewall_to_clear' => 'Remove All',
	'bt_firewall_to_remove' => 'Remove',

	'firewallmainform__restored_unsaved' => 'The last time you left the Firewall module, you had unsaved changes made to the configuration. The Firewall module has now restored these changes for you. If you prefer to start over from the active configuration, click Revert to the Active Configuration.',
	'firewallmainform__rules_list_legend' => 'Firewall Rules',
	'firewallmainform__reset_configuration?' => 'Discard unsaved changes and revert to the active configuration?', // To check
	'firewallmainform__title' => 'Firewall',
	'firewallmainform__unsaved' => 'The changes you made to the firewall configuration have not yet been applied to the server. To do it, click Activate.',

	'fwconfigurator__another_activation_in_progress' => 'Another administrator is activating a configuration now.',
	'fwconfigurator__safeact_error' => 'Could not activate firewall configuration:',

	'module_firewall_guide' => 'Plesk Firewall Guide', // To check

	'rule__catchall_forward' => 'System policy for forwarding of traffic',
	'rule__catchall_input' => 'System policy for incoming traffic',
	'rule__catchall_output' => 'System policy for outgoing traffic',
	'rule__custom' => 'Custom rule',
	'rule__service_dns' => 'Domain name server',
	'rule__service_ftp' => 'FTP server',
	'rule__service_imap' => 'IMAP (mail retrieval) server',
	'rule__service_mysql' => 'MySQL server',
	'rule__service_ping' => 'Ping service',
	'rule__service_plesk' => 'Plesk administrative interface',
	'rule__service_plesk_vpn' => 'Plesk VPN', // To check
	'rule__service_pop3' => 'POP3 (mail retrieval) server',
	'rule__service_poppassd' => 'Mail password change service',
	'rule__service_postgresql' => 'PostgreSQL server',
	'rule__service_samba' => 'Samba (file sharing in Windows networks)',
	'rule__service_smtp' => 'SMTP (mail sending) server',
	'rule__service_smtp_submission' => 'SMTP (submission port) server',
	'rule__service_ssh' => 'SSH (secure shell) server',
	'rule__service_tomcat' => 'Tomcat administrative interface',
	'rule__service_www' => 'WWW server',
	'rule__service_custom' => 'Custom service',

	'ruleeditform__action' => 'Action',
	'ruleeditform__action_allow' => 'Allow',
	'ruleeditform__action_custom' => 'Allow from selected sources, deny from others',
	'ruleeditform__action_deny' => 'Deny',
	'ruleeditform__direction' => 'Match direction',
	'ruleeditform__direction_forward' => 'Forwarding',
	'ruleeditform__direction_input' => 'Incoming',
	'ruleeditform__direction_output' => 'Outgoing',
	'ruleeditform__from' => 'Sources',
	'ruleeditform__from_add' => 'Add IP address or network:',
	'ruleeditform__invalid_ip' => 'Invalid IP address or network.',
	'ruleeditform__invalid_port' => 'Invalid port number.',
	'ruleeditform__invalid_values_posted' => 'Invalid values specified.',
	'ruleeditform__ip_any' => 'any host',
	'ruleeditform__name' => 'Name of the rule',
	'ruleeditform__name_required' => 'Please enter a name for your rule.',
	'ruleeditform__newrule' => 'New custom rule',
	'ruleeditform__notadded_continue?' => 'You have entered something into the input box, but not clicked the Add button. Continue without adding your input to the list?', // To check
	'ruleeditform__ports' => 'Ports',
	'ruleeditform__ports_add' => 'Add port or port range:',
	'ruleeditform__ports_add_hint' => 'Example: 1000 or 1000-1051',
	'ruleeditform__ports_any' => 'any port',
	'ruleeditform__ports_proto_tcp' => 'TCP',
	'ruleeditform__ports_proto_udp' => 'UDP',
	'ruleeditform__properties_legend' => 'Properties',
	'ruleeditform__title_custom' => 'Custom rule',
	'ruleeditform__title_service' => 'Service: %1',
	'ruleeditform__to' => 'Destinations',
	'ruleeditform__to_add' => 'Add IP address or network:',
	
//Please do not remove the square brackets from the strings below. All symbols enclosed in the brackets will be displayed in bold in the control panel.
	'rulelist__catchall_allow_forward' => '[Allow] forwarding of all other traffic',
	'rulelist__catchall_allow_input' => '[Allow] all other incoming traffic',
	'rulelist__catchall_allow_output' => '[Allow] all other outgoing traffic',
	'rulelist__catchall_deny_forward' => '[Deny] forwarding of all other traffic',
	'rulelist__catchall_deny_input' => '[Deny] all other incoming traffic',
	'rulelist__catchall_deny_output' => '[Deny] all other outgoing traffic',
	'rulelist__custom_allow_forward_from_any_to_any_port' => '[Allow] forwarding from [all] to [all] on port [%1]',
	'rulelist__custom_allow_forward_from_any_to_any_port_any' => '[Allow] forwarding from [all] to [all] on [all] ports',
	'rulelist__custom_allow_forward_from_any_to_any_ports' => '[Allow] forwarding from [all] to [all] on ports [%1]',
	'rulelist__custom_allow_forward_from_any_to_port' => '[Allow] forwarding from [all] to [%1] on port [%2]',
	'rulelist__custom_allow_forward_from_any_to_port_any' => '[Allow] forwarding from [all] to [%1] on [all] ports',
	'rulelist__custom_allow_forward_from_any_to_ports' => '[Allow] forwarding from [all] to [%1] on ports [%2]',
	'rulelist__custom_allow_forward_from_to_any_port' => '[Allow] forwarding from [%1] to [all] on port [%2]',
	'rulelist__custom_allow_forward_from_to_any_port_any' => '[Allow] forwarding from [%1] to [all] on [all] ports',
	'rulelist__custom_allow_forward_from_to_any_ports' => '[Allow] forwarding from [%1] to [all] on ports [%2]',
	'rulelist__custom_allow_forward_from_to_port' => '[Allow] forwarding from [%1] to [%2] on port [%3]',
	'rulelist__custom_allow_forward_from_to_port_any' => '[Allow] forwarding from [%1] to [%2] on [all] ports',
	'rulelist__custom_allow_forward_from_to_ports' => '[Allow] forwarding from [%1] to [%2] on ports [%3]',
	'rulelist__custom_allow_input_from_any_port' => '[Allow] incoming from [all] on port [%1]',
	'rulelist__custom_allow_input_from_any_port_any' => '[Allow] incoming from [all] on [all] ports',
	'rulelist__custom_allow_input_from_any_ports' => '[Allow] incoming from [all] on ports [%1]',
	'rulelist__custom_allow_input_from_port' => '[Allow] incoming from [%1] on port [%2]',
	'rulelist__custom_allow_input_from_port_any' => '[Allow] incoming from [%1] on [all] ports',
	'rulelist__custom_allow_input_from_ports' => '[Allow] incoming from [%1] on ports [%2]',
	'rulelist__custom_allow_output_to_any_port' => '[Allow] outgoing to [all] on port [%1]',
	'rulelist__custom_allow_output_to_any_port_any' => '[Allow] outgoing to [all] on [all] ports',
	'rulelist__custom_allow_output_to_any_ports' => '[Allow] outgoing to [all] on ports [%1]',
	'rulelist__custom_allow_output_to_port' => '[Allow] outgoing to [%1] on port [%2]',
	'rulelist__custom_allow_output_to_port_any' => '[Allow] outgoing to [%1] on [all] ports',
	'rulelist__custom_allow_output_to_ports' => '[Allow] outgoing to [%1] on ports [%2]',
	'rulelist__custom_deny_forward_from_any_to_any_port' => '[Deny] forwarding from [all] to [all] on port [%1]',
	'rulelist__custom_deny_forward_from_any_to_any_port_any' => '[Deny] forwarding from [all] to [all] on [all] ports',
	'rulelist__custom_deny_forward_from_any_to_any_ports' => '[Deny] forwarding from [all] to [all] on ports [%1]',
	'rulelist__custom_deny_forward_from_any_to_port' => '[Deny] forwarding from [all] to [%1] on port [%2]',
	'rulelist__custom_deny_forward_from_any_to_port_any' => '[Deny] forwarding from [all] to [%1] on [all] ports',
	'rulelist__custom_deny_forward_from_any_to_ports' => '[Deny] forwarding from [all] to [%1] on ports [%2]',
	'rulelist__custom_deny_forward_from_to_any_port' => '[Deny] forwarding from [%1] to [all] on port [%2]',
	'rulelist__custom_deny_forward_from_to_any_port_any' => '[Deny] forwarding from [%1] to [all] on [all] ports',
	'rulelist__custom_deny_forward_from_to_any_ports' => '[Deny] forwarding from [%1] to [all] on ports [%2]',
	'rulelist__custom_deny_forward_from_to_port' => '[Deny] forwarding from [%1] to [%2] on port [%3]',
	'rulelist__custom_deny_forward_from_to_port_any' => '[Deny] forwarding from [%1] to [%2] on [all] ports',
	'rulelist__custom_deny_forward_from_to_ports' => '[Deny] forwarding from [%1] to [%2] on ports [%3]',
	'rulelist__custom_deny_input_from_any_port' => '[Deny] incoming from [all] on port [%1]',
	'rulelist__custom_deny_input_from_any_port_any' => '[Deny] incoming from [all] on [all] ports',
	'rulelist__custom_deny_input_from_any_ports' => '[Deny] incoming from [all] on ports [%1]',
	'rulelist__custom_deny_input_from_port' => '[Deny] incoming from [%1] on port [%2]',
	'rulelist__custom_deny_input_from_port_any' => '[Deny] incoming from [%1] on [all] ports',
	'rulelist__custom_deny_input_from_ports' => '[Deny] incoming from [%1] on ports [%2]',
	'rulelist__custom_deny_output_to_any_port' => '[Deny] outgoing to [all] on port [%1]',
	'rulelist__custom_deny_output_to_any_port_any' => '[Deny] outgoing to [all] on [all] ports',
	'rulelist__custom_deny_output_to_any_ports' => '[Deny] outgoing to [all] on ports [%1]',
	'rulelist__custom_deny_output_to_port' => '[Deny] outgoing to [%1] on port [%2]',
	'rulelist__custom_deny_output_to_port_any' => '[Deny] outgoing to [%1] on [all] ports',
	'rulelist__custom_deny_output_to_ports' => '[Deny] outgoing to [%1] on ports [%2]',
	'rulelist__header' => 'Firewall rules',
	'rulelist__header_description' => 'Description',
	'rulelist__header_name' => 'Name',
	'rulelist__header_priority' => 'Order',
	'rulelist__remove_none_selected' => 'No rules have been selected for removal.', //To check
	'rulelist__remove_selected?' => 'Remove selected rules?',
	'rulelist__service_allow_from' => '[Allow] incoming from [%1]',
	'rulelist__service_allow_from_any' => '[Allow] incoming from [all]',
	'rulelist__service_deny_from' => '[Deny] incoming from [%1]',
	'rulelist__service_deny_from_any' => '[Deny] incoming from [all]',
	'rulelist__service_deny_from_other' => '[Deny] incoming from [all others]',
	
	'ui__modules/firewall__title' => 'Firewall',
	'ui__modules/firewall__short-title' => 'Firewall',
	'ui__modules/firewall__description' => 'The Firewall module helps protect your host and private network from unauthorized access.',

	'ui__modules/firewall/edit__title' => 'Edit firewall configuration',
	'ui__modules/firewall/edit__short-title' => 'Edit firewall configuration',
	'ui__modules/firewall/edit__description' => 'Start editing your firewall configuration. Note that any changes that you make will not take effect on the server until you activate the configuration.',

	'ui__modules/firewall/edit/rule/properties__title' => 'Firewall Rule Properties',
		'ui__modules/firewall/edit/rule/properties__short-title' => 'Rule Properties',
		'ui__modules/firewall/edit/rule/properties__description' => 'View and change firewall rule properties.',
	
	'ui__modules/firewall/edit/rule/properties_unknown-new__short-title' => 'Add custom rule',
	'ui__modules/firewall/edit/rule/properties_unknown-new__title' => 'Add custom rule',
	'ui__modules/firewall/edit/rule/properties_unknown-new__description' => 'Click to add a new custom rule. A custom rule allows or denies specific connections based on user-defined conditions.',

	'ui__modules/firewall/edit/rule/delete_multi__title' => 'Delete firewall rules',
	'ui__modules/firewall/edit/rule/delete_multi__short-title' => 'Delete',
	'ui__modules/firewall/edit/rule/delete_multi__description' => 'Delete firewall rules',
	'ui__modules/firewall/edit/rule/delete#legend__description' => 'The following firewall rules will be removed:',
	'ui__modules/firewall/edit/rule/delete__empty_selection' => 'You have to select the firewall rules which you want to remove',
	
	'ui__modules/firewall/edit/reset__title' => 'Revert to the Active Configuration',
	'ui__modules/firewall/edit/reset__short-title' => 'Revert to the Active Configuration',
	'ui__modules/firewall/edit/reset__description' => 'Discard the changes, and return to your currently used configuration.',
	
	'ui__modules/firewall/edit/activate__title' => 'Activate configuration',
	'ui__modules/firewall/edit/activate__short-title' => 'Activate',
	'ui__modules/firewall/edit/activate__description' => 'Apply your firewall configuration to the system.',
);
require_once('conhelp_en-US.php');
?>